vich_uploader:
    db_driver: orm
    metadata:
        type: attribute

    mappings:
        location_images:
           uri_prefix: '%location_attachments%'
           upload_destination: '%kernel.project_dir%/public%location_attachments%'
           namer: Vich\UploaderBundle\Naming\SmartUniqueNamer

        enclosure_images:
           uri_prefix: '%enclosure_attachments%'
           upload_destination: '%kernel.project_dir%/public%enclosure_attachments%'
           namer: Vich\UploaderBundle\Naming\SmartUniqueNamer

        species_images:
           uri_prefix: '%species_attachments%'
           upload_destination: '%kernel.project_dir%/public%species_attachments%'
           namer: Vich\UploaderBundle\Naming\SmartUniqueNamer
           delete_on_remove: true
           delete_on_update: true